| Face Engine SDK 5.34.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IFaceDetectionBatch Struct Referenceabstract

Face detection result batch interface. More...

`#include <IFaceDetectionBatch.h>`

Inheritance diagram for fsdk::IFaceDetectionBatch:

## Public Member Functions
virtual size_t | getSize () const noexcept=0
| Returns size. More...
virtual size_t | getSize (size_t imageIndex) const noexcept=0
| Returns size of the results for the target index. More...
virtual Face | getFace (const Image &img, size_t imageIndex, size_t detectionIndex) const noexcept=0
| Returns detected face. More...
virtual Span< const Detection > | getDetections (size_t index=0) const noexcept=0
| Returns detection Span. More...
virtual Span< const Landmarks5 > | getLandmarks5 (size_t index=0) const noexcept=0
| Returns Landmarks5 Span. More...
virtual Span< const Landmarks68 > | getLandmarks68 (size_t index=0) const noexcept=0
| Returns Landmarks68 Span. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Face detection result batch interface.

## Member Function Documentation

## ◆ getDetections()

virtual Span<const Detection> fsdk::IFaceDetectionBatch::getDetections | ( | size_t | index = `0` | ) | const
| pure virtual noexcept

Returns detection Span.

Parameters

  [in] | index | index of the detection.

Returns
  span of detection coordinates in corresponding source images space.

See also
  Span and Detection for details.

Note
  all spans should be based on user owned continuous collections.
  Result Span could be empty in two cases:
  1. If no any faces were detected on the target image.
  2. If detection request didn't contain the DT_BOX flag.

See also
  DetectionType

## ◆ getFace()

virtual Face fsdk::IFaceDetectionBatch::getFace | ( | const Image & | img,
|  | size_t | imageIndex,
|  | size_t | detectionIndex
| ) |  | const
| pure virtual noexcept

Returns detected face.

Parameters

  [in] | img | source image.
  [in] | imageIndex | index of the image.
  [in] | detectionIndex | index of the detection.

Returns
  Detected face.

See also
  Face and Image for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  Result Face could be invalid if no any faces were detected on the target image or parameters are invalid.

## ◆ getLandmarks5()

virtual Span<const Landmarks5> fsdk::IFaceDetectionBatch::getLandmarks5 | ( | size_t | index = `0` | ) | const
| pure virtual noexcept

Returns Landmarks5 Span.

Parameters

  [in] | index | index of the landmarks object.

Returns
  Span of Landmarks5.

See also
  Span and Landmarks5 for details.

Note
  all spans should be based on user owned continuous collections.
  Result Span could be empty in two cases:
  1. If no any faces were detected on the target image.
  2. If detection request didn't contain the DT_LANDMARKS5 flag.

See also
  DetectionType

## ◆ getLandmarks68()

virtual Span<const Landmarks68> fsdk::IFaceDetectionBatch::getLandmarks68 | ( | size_t | index = `0` | ) | const
| pure virtual noexcept

Returns Landmarks68 Span.

Parameters

  [in] | index | index of the landmarks object.

Returns
  Span of Landmarks68.

See also
  Span and Landmarks68 for details.

Note
  all spans should be based on user owned continuous collections.
  Result Span could be empty in two cases:
  1. If no any faces were detected on the target image.
  2. If detection request didn't contain the DT_LANDMARKS68 flag.

See also
  DetectionType

## ◆ getSize() [1/2]

virtual size_t fsdk::IFaceDetectionBatch::getSize | ( |  | ) | const
| pure virtual noexcept

Returns size.

Returns
  size of the detections.

## ◆ getSize() [2/2]

virtual size_t fsdk::IFaceDetectionBatch::getSize | ( | size_t | imageIndex | ) | const
| pure virtual noexcept

Returns size of the results for the target index.

Parameters

  [in] | imageIndex | index of the image.

Returns
  size of the results for the target index.

The documentation for this struct was generated from the following file:

- include/fsdk/IFaceDetectionBatch.h